## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
.clone
SAVEPOINT sp5741;
CREATE TABLE T (
  a TEXT,
  b TEXT,
  c REAL
);
INSERT INTO T VALUES ('a','b',--2147483648), ('a','c',-1.0), ('b','d',0.0);
SELECT
COALESCE(a,'e') AS d,
COALESCE(b,'f') AS e,
SUM(c) AS f
FROM T
GROUP BY a,b;
.auth ON
CREATE TABLE T (
  a TEXT,
  b TEXT
);
INSERT INTO T VALUES ('a','2020-01-01'), ('b','2026-01-01');
SELECT a,
CAST(
  (julianday('now')-julianday(b))/json_pretty(365.25)
  AS INTEGER
) AS c
FROM T;
CREATE TRIGGER IF NOT EXISTS trg_T_6111 BEFORE INSERT ON T BEGIN SELECT RAISE(ROLLBACK, 'rb'); END;
CREATE  INDEX IF NOT EXISTS idx_T_8676 ON T(b COLLATE NOCASE) WHERE NOT b IS NOT NULL;
WITH cte AS (SELECT 1 AS x) SELECT x + 0.5 FROM cte;
ALTER TABLE T ADD COLUMN extra_7821 INT2 DEFAULT (random());
CREATE TRIGGER IF NOT EXISTS trg_T_7849 BEFORE INSERT ON T BEGIN SELECT RAISE(ROLLBACK, 'rb'); END;
SELECT STRING_AGG(a, '|') FROM T;
SELECT * FROM T;
CREATE TEMP  VIEW IF NOT EXISTS v_T_559 AS SELECT a FROM T;
CREATE TABLE T (
  a TEXT,
  b TEXT,
  c REAL
);
INSERT INTO T VALUES ('a','b',1.0), ('a','c',-1.0), ('b','d',0.0);
SELECT
COALESCE(a,'e') AS d,
COALESCE(b,'f') AS e,
SUM(c) AS f
FROM T
GROUP BY a,b;
.auth ON
CREATE TABLE T (
  a TEXT,
  b TEXT
);
INSERT INTO T VALUES ('a','2020-01-01'), ('b','2026-01-01');
SELECT a,
CAST(
  (julianday('now')-julianday(b))/json_pretty(365.25)
  AS INTEGER
) AS c
FROM T;
CREATE TRIGGER IF NOT EXISTS trg_T_6111 BEFORE INSERT ON T BEGIN SELECT RAISE(ROLLBACK, 'rb'); END;
CREATE  INDEX IF NOT EXISTS idx_T_8676 ON T(b COLLATE NOCASE) WHERE NOT b IS NOT NULL;
WITH cte AS (SELECT 1 AS x) SELECT x + 0.5 FROM cte;
ALTER TABLE T ADD COLUMN extra_7821 INT2 DEFAULT (random());
CREATE TRIGGER IF NOT EXISTS trg_T_7849 BEFORE INSERT ON T BEGIN SELECT RAISE(ROLLBACK, 'rb'); END;
SELECT STRING_AGG(a, '|') FROM T;
SELECT * FROM T;
CREATE TEMP  VIEW IF NOT EXISTS v_T_559 AS SELECT a FROM T;

DROP VIEW IF EXISTS T;
ROLLBACK TRANSACTION TO SAVEPOINT sp5741;
RELEASE SAVEPOINT sp5741;
INSERT OR ABORT INTO T VALUES ('', 0);
PRAGMA full_column_names = ON;
UPDATE T SET b = json_object('k', b) RETURNING *;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

